twitter4j

## Interface HttpClient

All Known Implementing Classes:
  HttpClientBase

    public interface HttpClient

A utility class to handle HTTP request/response.

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addDefaultRequestHeader(String name, String value)`
`HttpResponse` `delete(String url)`
`HttpResponse` `delete(String url, HttpParameter[] parameters, Authorization authorization, HttpResponseListener listener)`
`HttpResponse` `get(String url)`
`HttpResponse` `get(String url, HttpParameter[] parameters, Authorization authorization, HttpResponseListener listener)`
`Map<String,String>` `getRequestHeaders()`
`HttpResponse` `head(String url)`
`HttpResponse` `post(String url)`
`HttpResponse` `post(String url, HttpParameter[] parameters, Authorization authorization, HttpResponseListener listener)`
`HttpResponse` `put(String url)`
`HttpResponse` `put(String url, HttpParameter[] parameters, Authorization authorization, HttpResponseListener listener)`
`HttpResponse` `request(HttpRequest req)`
`HttpResponse` `request(HttpRequest req, HttpResponseListener listener)`

### Method Detail

#### addDefaultRequestHeader

    void addDefaultRequestHeader(String name,
                                 String value)

#### getRequestHeaders

    Map<String,String> getRequestHeaders()

#### request

    HttpResponse request(HttpRequest req)
                  throws TwitterException

Throws:
  `TwitterException`

#### request

    HttpResponse request(HttpRequest req,
                         HttpResponseListener listener)
                  throws TwitterException

Throws:
  `TwitterException`

#### get

    HttpResponse get(String url,
                     HttpParameter[] parameters,
                     Authorization authorization,
                     HttpResponseListener listener)
              throws TwitterException

Throws:
  `TwitterException`

#### get

    HttpResponse get(String url)
              throws TwitterException

Throws:
  `TwitterException`

#### post

    HttpResponse post(String url,
                      HttpParameter[] parameters,
                      Authorization authorization,
                      HttpResponseListener listener)
               throws TwitterException

Throws:
  `TwitterException`

#### post

    HttpResponse post(String url)
               throws TwitterException

Throws:
  `TwitterException`

#### delete

    HttpResponse delete(String url,
                        HttpParameter[] parameters,
                        Authorization authorization,
                        HttpResponseListener listener)
                 throws TwitterException

Throws:
  `TwitterException`

#### delete

    HttpResponse delete(String url)
                 throws TwitterException

Throws:
  `TwitterException`

#### head

    HttpResponse head(String url)
               throws TwitterException

Throws:
  `TwitterException`

#### put

    HttpResponse put(String url,
                     HttpParameter[] parameters,
                     Authorization authorization,
                     HttpResponseListener listener)
              throws TwitterException

Throws:
  `TwitterException`

#### put

    HttpResponse put(String url)
              throws TwitterException

Throws:
  `TwitterException`